Bug 244657 - dns/powerdns-recursor: update to 4.3.0
Summary: dns/powerdns-recursor: update to 4.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Hiroki Tagato
URL: https://Blog.PowerDNS.com/2020/03/03/...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-07 15:26 UTC by yds
Modified: 2020-05-06 05:49 UTC (History)
2 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
dns/powerdns-recursor: update to 4.3.0 (9.88 KB, patch)
2020-03-07 15:26 UTC, yds
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yds 2020-03-07 15:26:13 UTC
Created attachment 212221 [details]
dns/powerdns-recursor: update to 4.3.0

this patch updates to 4.3.0 and adds creation and tracking the new `/var/run/pdns-recursor` RUNDIR for sockets and pidfile.

all the patch files are regenerated for the update

extrapatch-setuid renamed to patch-pdns_recursor.cc and removed from OPTIONS
patch-pdns_dns__random.cc renamed to patch-dns_random.cc

added `pidfile=/var/run/pdns-recursor/${name}.pid` to the rc script.

updated pkg-descr with a more descriptive blurb from their web page.
Comment 1 Automation User 2020-03-07 15:54:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/124187823
Comment 2 Ralf van der Enden 2020-03-09 09:32:44 UTC
Looks good to me. Thanks for your contribution.
Comment 3 commit-hook freebsd_committer 2020-05-06 05:49:09 UTC
A commit references this bug:

Author: tagattie
Date: Wed May  6 05:48:18 UTC 2020
New revision: 534145
URL: https://svnweb.freebsd.org/changeset/ports/534145

Log:
  - Update to 4.3.0
  - Add LICENSE_FILE
  - Create directory for sockets and pidfile
  - Update pkg-descr with a more descriptive text from website

  PR:		244657
  Submitted by:	yds <yds@Necessitu.de>
  Approved by:	tremere@cainites.net (maintainer), ehaupt (mentor)
  Changelog:	https://blog.powerdns.com/2020/03/03/powerdns-recursor-4-3-0-released/

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/extrapatch-setuid
  head/dns/powerdns-recursor/files/patch-configure
  head/dns/powerdns-recursor/files/patch-dns_random.cc
  head/dns/powerdns-recursor/files/patch-dnsname.hh
  head/dns/powerdns-recursor/files/patch-pdns_dns__random.cc
  head/dns/powerdns-recursor/files/patch-pdns_recursor.cc
  head/dns/powerdns-recursor/files/pdns-recursor.in
  head/dns/powerdns-recursor/files/pkg-message.in
  head/dns/powerdns-recursor/pkg-descr
  head/dns/powerdns-recursor/pkg-plist
Comment 4 Hiroki Tagato freebsd_committer 2020-05-06 05:49:46 UTC
Committed, thanks!